Package com.opensymphony.module.sitemesh

# Interface PageParser

All Known Implementing Classes:
  `DivExtractingPageParser`, `FastPageParser`, `HTMLPageParser`, `MultipassReplacementPageParser`

public interface PageParser
The PageParser is responsible for parsing the page data into an appropriate `Page` object.

The implementation of this can be switched to parse different kind of data (e.g. HTML, WML, FOP, images) or for performance enhancements. An implementation is obtained through the `Factory` .

A single PageParser is reused, therefore the parse() methods need to be thread-safe.

Version:
  $Revision: 1.2 $
Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`Page`
`parse(char[] data)`
This builds a Page.

## Method Details

### parse

Page parse(char[] data) throws IOException
This builds a Page.

Throws:
  `IOException`